@import 'src/variables';

.show {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 170px;
  padding-bottom: 8px;
  border-radius: 8px;
  background: $primaryGreyColor;
  color: $thirdGreyColor;
  a {
    .show_img {
      width: 170px;
      height: 240px;
      cursor: pointer;
      transition: opacity 1s ease-in-out;
      &:hover {
        opacity: 0.5;
      }
    }
  }
  .show_title_container {
    height: 40px;
    padding: 4px;
    text-align: center;
    word-wrap: break-word;
    a {
      display: block;
      height: 40px;
      color: inherit;
      overflow: hidden;
      .show_title {
        font-size: 14px;
        border-bottom: 1px solid transparent;
        transition: border-bottom 0.5s ease-in-out;
        cursor: pointer;
        &:hover {
          border-bottom: 1px solid $thirdGreyColor;
        }
      }
    }
  }
  .show_actions {
    width: 100%;
    max-height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    padding-top: 8px;
    border-top: 2px solid $primaryBgColor;
    .show_heart_icon {
      cursor: pointer;
      transition: transform 0.5s ease-in-out;
      &:hover {
        transform: scale(1.05);
      }
    }
    .rating_block {
      cursor: default;
      display: flex;
      align-items: flex-end;
      .rate {
        font-size: 14px;
        margin-left: 4px;
        font-style: italic;
      }
    }
  }

  .liked {
    color: $primaryRedColor;
  }
}
